Subject: Re: [X2Go-Dev] Bug#1477: Debug output

From: Ulrich Sibiller <[email-masked]>
Date: Thu, 18 Jun 2020 13:39:29 +0200

Thanks for the patch. I have forwarded this to the x2go-dev list. I
hope it will be integrated soon.

Uli

On Thu, Jun 18, 2020 at 11:52 AM Toby <[email-masked]> wrote:
>
> I appreciate the whole ssh connection process is hairy as ****, and
> thinking I've got a proper fix after a couple of hours poking about
> looking at a single use case is naive, but the removal of one line
> gets the behaviour I expect: if either the password or verification
> code are incorrect, restart the authentication process
>
> diff --git a/src/sshmasterconnection.cpp b/src/sshmasterconnection.cpp
> index 667e0ef..34045de 100644
> --- a/src/sshmasterconnection.cpp
> +++ b/src/sshmasterconnection.cpp
> @@ -1127,7 +1127,7 @@ bool SshMasterConnection::userChallengeAuth()
>              if (has_challenge_auth_code_prompt) {
>                  x2goDebug<<"Verification code request"<<endl;
>
> -                challengeAuthPasswordAccepted=true;
> +                // challengeAuthPasswordAccepted=true;
>                  if(challengeAuthVerificationCode == QString::null)
>                  {
>                      keyPhraseReady=false;
>
>
> This also works in the case of using an ssh proxy server with
> google-authenticator.
>
> Cheers
> Toby
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev